Update the status
curl --request PUT \
--url https://api.birdeye.com/resources/v1/business/{business_id}/statusimport requests
url = "https://api.birdeye.com/resources/v1/business/{business_id}/status"
response = requests.put(url)
print(response.text)const options = {method: 'PUT'};
fetch('https://api.birdeye.com/resources/v1/business/{business_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1191,
"message": "Invalid status."
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1184,
"message": "Status change is not allowed"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business
Update Business Status
PUT
/
v1
/
business
/
{business_id}
/
status
Update the status
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Business id whose status has to be changed. Returned by create business API
Query Parameters
New status for the business. Valid values are "active/inactive".
Response
OK

